/*
 * Copyright (C) 2010-2020 Alibaba Group Holding Limited
 */
#ifdef __APPLE__
#ifndef ENCODERPARAM_IOS_HH
#define ENCODERPARAM_IOS_HH
#include <stdint.h>

typedef enum qios_video_encode_strategy
{
    ENCODE_STRATEGY_HIGHQ_HIGHE = 0,                  //高效高质策略
    ENCODE_STRATEGY_HIGHQ_HIGHC = 1,                 //高质高压策略
    ENCODE_STRATEGY_HIGH_BIT_CONTROL = 2            //实时均衡策略
} QIOSVEncodeStrategy;

typedef enum qios_Video_quality
{
    VIDEO_QUALITY_SUPER = 0,
    VIDEO_QUALITY_HIGH = 1,
    VIDEO_QUALITY_MEDIAN = 2,
    VIDEO_QUALITY_LOW = 3,
    VIDEO_QUALITY_POOR = 4,
    VIDEO_QUALITY_EXTRAPOOR = 5
} QIOSVideoQuality;

typedef enum qios_video_codec_id
{
    QU_VIDEO_SOFT_H264 = 0,
    QU_VIDEO_HARDWARE_H264,
} QIOSVideoCodecID;

typedef enum qios_audio_codec_id
{
    QU_AUDIO_SOFT_AAC = 0,
    QU_AUDIO_HARDWARE_AAC
} QIOSAudioCodecID;

typedef enum qios_video_parser
{
    VIDEO_STREAM_DIC_KEY_START = 0,//开始key值，无实际使用意义，方便修改
    VIDEO_STREAM_INDEX = 0,
    VIDEO_CODEC,
    VIDEO_START_TIME,
    VIDEO_DURATION,
    VIDEO_FRAME_COUNT,
    VIDEO_BIT_RATE,
    VIDEO_WIDTH,
    VIDEO_HEIGHT,
    VIDEO_CODEC_WIDTH,
    VIDEO_CODEC_HEIGHT,
    VIDEO_FORMAT,
    VIDEO_GOP,
    VIDEO_MAX_BFRAME,
    VIDEO_FPS,
    VIDEO_ROTATION
} QIOSVIDEOPARSER;

typedef enum qios_audio_parser
{
    AUDIO_STREAM_DIC_KEY_START = 15,
    AUDIO_STREAM_INDEX = 15,
    AUDIO_CODEC,
    AUDIO_START_TIME,
    AUDIO_DURATION,
    AUDIO_FRAME_COUNT,
    AUDIO_BIT_RATE,
    AUDIO_CHANNELS,
    AUDIO_SAMPLE_RATE,
    AUDIO_FORAMT,
    AUDIO_FRAME_SAMPLES,
    AUDIO_SOUND_FORMAT
} QIOSAUDIOPARSER;

typedef enum qios_file_parser
{
    FILE_DIC_KEY_START = 25,
    FILE_NAME = 25,
    FILE_FORMAT,
    FILE_START_TIME,
    FILE_DURATION,
    FILE_BIT_RATE,
    DIC_KEY_END = 30
} QIOSFILEPARSER;


#ifndef QU_PARAM_UNKNOW
#define QU_PARAM_UNKNOW -1
#endif
#ifndef QU_VIDEO_CODEC_ID
#define QU_VIDEO_CODEC_ID                                  0
#define QU_VIDEO_WIDTH                                     1
#define QU_VIDEO_HEIGHT                                    2
#define QU_VIDEO_FORMT                                     3
#define QU_VIDEO_STRATEGY                                  4
#define QU_VIDEO_QUALITY                                   5
#define QU_VIDEO_GOP_SIZE                                  6
#define QU_VIDEO_BPS                                       7
#define QU_VIDEO_FPS                                       8
#define QU_VIDEO_ALIGN                                     9
#define QU_VIDEO_ROTATE                                    10

#define QU_AUDIO_CODEC_ID                                11
#define QU_AUDIO_SAMPLE_RATE                             12
#define QU_AUDIO_CHANNELS                                13
#define QU_AUDIO_FORMAT                                  14
#define QU_AUDIO_BIT_RATE                                15

#endif

#endif // ENCODERPARAM_IOS_HH

#endif
