//
//  Thumbnails_ios.h
//  AliyunVideoCore
//
//  Created by mengyehao on 2021/3/17.
//

#ifndef Thumbnails_ios_hh
#define Thumbnails_ios_hh

#include "common/svideo_export.h"
#include "panel/FileThumbnailsCallback.hh"

//生成Thumbnails对象，返回句柄
SVIDEO_EXPORT extern long qu_thumbnails_creat();

//设置裁剪尺寸，同一个实例只可设置一次
//x:横向坐标点
//y:纵向坐标点
//width:指定需要裁剪宽度
//height:指定需要裁剪高度
// 一个实例只能设置一次
SVIDEO_EXPORT extern void qu_thumbnails_set_cut_size(long handle, int rotate, int x, int y, int w, int h);

//设置输出图片尺寸，同一个实例只可设置一次
//width:指定需要输出的图片宽度
//height:指定需要输出的图片高度
// 输出尺寸需要与裁剪设置尺寸成比例
// 一个实例只能设置一次
SVIDEO_EXPORT extern void qu_thumbnails_set_dst_size(long handle, int w, int h);

//添加缩率图时间点数组，同一个实例可多次调用
//list:时间点数组
//conut:数组长度
SVIDEO_EXPORT extern long qu_thumbnails_add_TimeList(long handle, long *list, int count);

//path:视频路径
//cb:缩率图回调
SVIDEO_EXPORT extern long qu_thumbnails_prepare(long handle, const char* path, FileThumbnailsCallback *cb);

//开始
SVIDEO_EXPORT extern void qu_thumbnails_start(long handle);

//cancel
SVIDEO_EXPORT extern void qu_thumbnails_cancel(long handle);

//release
SVIDEO_EXPORT extern void qu_thumbnails_release(long handle);

#endif /* Thumbnails_ios_h */
