/*
 * Copyright (C) 2010-2020 Alibaba Group Holding Limited
 */

#ifndef mix_composer_ios_hh
#define mix_composer_ios_hh
#include "mix/mix_callback.h"
#include "common/svideo_export.h"
#include <list>
#include <stdio.h>


using namespace NS_SVIDEO;

SVIDEO_EXPORT extern long mix_composer_init(int reportId);

SVIDEO_EXPORT extern int mix_composer_create_track(long handle, float center_x, float center_y, float width, float height, bool isSameClip);

SVIDEO_EXPORT extern int mix_composer_config_track_border(long handle, unsigned int track_id, float borderWidth, uint32_t borderColor, float cornerRadius);

SVIDEO_EXPORT extern int mix_composer_add_stream(long handle, const char* file_path, int track_id, int content_mode, int64_t start_time = 0, int64_t duration = 0);

SVIDEO_EXPORT struct mix_composer_audio_mix_param
{
    int trackId;
    float weight;
};

SVIDEO_EXPORT struct mix_composer_audio_aec_param
{
    int nearTrackId;
    int farTrackId;
};

SVIDEO_EXPORT struct mix_composer_audio_output_param
{
    std::list<mix_composer_audio_mix_param> mixParams;
    std::list<mix_composer_audio_aec_param> aecParams;
};

SVIDEO_EXPORT extern int mix_composer_config_output_params(long handle, const char* output_path, mix_composer_audio_output_param audioOutputParams, int referenceMode, int durationReferenceTrackId = 0, int mixTrackId = 0, int output_width = 0, int output_height = 0, int bitrate = 0, int quality = 0, int fps = 0, int gop = 0);

SVIDEO_EXPORT extern int mix_composer_config_background(long handle, void *imageData, int width, int height, int widthStep, int imageCutMode, long bgColor);

SVIDEO_EXPORT extern int mix_composer_start(long handle, MixCallback *cb);

SVIDEO_EXPORT extern int mix_composer_pause(long handle);

SVIDEO_EXPORT extern int mix_composer_resume(long handle);

SVIDEO_EXPORT extern int mix_composer_cancel(long handle);

SVIDEO_EXPORT extern int mix_composer_release(long handle);



#endif /* mix_recorder_ios_h */
